Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519841 - Clicking any greyed out item from a dropdown will remove the sorting bar from the bottom
Summary: Clicking any greyed out item from a dropdown will remove the sorting bar from...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.0
Assignee: Martin Hradil
QA Contact: Matouš Mojžíš
URL:
Whiteboard:
Depends On: 1518929
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-01 14:36 UTC by Satoe Imaishi
Modified: 2018-03-06 15:12 UTC (History)
5 users (show)

Fixed In Version: 5.9.0.12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1518929
Environment:
Last Closed: 2018-03-06 15:12:19 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Comment 3 CFME Bot 2017-12-01 14:49:31 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:
https://github.com/ManageIQ/manageiq-ui-classic/commit/fd10f0168dea46fc14854d0e1c877789e6a1a3b8

commit fd10f0168dea46fc14854d0e1c877789e6a1a3b8
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Fri Dec 1 10:35:21 2017 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Dec 1 09:36:04 2017 -0500

    Merge pull request #2884 from himdel/toolbar-pagination-bz1518929
    
    ToolbarController#setClickHandler - don't handle click for disabled toolbar items
    (cherry picked from commit d27872b0293ed8d57813e7c75c72ed243a7d3908)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1519841

 .../javascripts/controllers/toolbar_controller.js  | 37 ++++++++++++----------
 1 file changed, 21 insertions(+), 16 deletions(-)

Comment 4 Matouš Mojžíš 2018-01-24 16:01:12 UTC
Verified in 5.9.0.17. Selecting greyed out item doesn't hide sorting bar.


Note You need to log in before you can comment on or make changes to this bug.